/***************************************************************************
                          surfxpdoc.h  -  description
                             -------------------
    begin                : Die M�  5 19:59:18 CET 2002
    copyright            : (C) 2002 by Jrgen B�m
    email                : aviduratas@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it.                                                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef SURFXPDOC_H
#define SURFXPDOC_H

// include files for QT
#include <qobject.h>
#include <GL/glu.h>

// application specific includes

#include <cmath>
#include <cstdlib>

#include "matrix.h"


/**
  * the Document Class
  */

class SurfxpDoc : public QObject
{
  Q_OBJECT

  public:
    SurfxpDoc();
    ~SurfxpDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;

  signals:
    void documentChanged();

  protected:
    bool modified;

	public:

		matrix<Point> grid;
		matrix<Point> gridnormal;

};

#endif
