/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Die Mr  5 19:59:18 CET 2002
    copyright            : (C) 2002 by Jrgen Bhm
    email                : aviduratas@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it.                                                                   *
 *                                                                         *
 ***************************************************************************/

#include <QApplication>
#include <qfont.h>
#include <QString>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "surfxp.h"

int main(int argc, char *argv[])
{
  QApplication a(argc, argv);
  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("surfxp."), "." );
  a.installTranslator( &tor );
  /* uncomment the following line, if you want a Windows 95 look*/
  // a.setStyle(WindowsStyle);
    
  SurfxpApp *surfxp=new SurfxpApp();
  //a.setMainWidget(surfxp);

  surfxp->show();

  return a.exec();
}


